const std = @import("std");
const net = std.net;

pub fn main() !void {
    if (net.connectUnixSocket("/tmp/udsserver.sock")) |stream| {
        defer stream.close();
        const msg = "Hello from Zig ⚡" ;
        try stream.writeAll(msg);
    } else |err| {
        std.debug.print("Error connecting to socket: {}", .{err});
    }
}